Alerts
List monitors
GET /v1/monitors · SDK listMonitors · CLI deployments monitor list
GET
Requires monitors:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100environmentId?stringOnly monitors or incidents of this environment.
x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListMonitorsResponse
application/json- response
items*array<>nextCursor?|nullcurl -X GET "https://example.com/v1/monitors" \ -H "x-deployments-organization: string"{ "items": [ { "archivedAt": "2019-08-24T14:15:22Z", "condition": { "agentDeploymentId": "string", "kind": "run-failures", "threshold": 1, "windowMinutes": 5 }, "createdAt": "2019-08-24T14:15:22Z", "environmentId": "string", "id": "string", "mutedUntil": "2019-08-24T14:15:22Z", "name": "string", "notify": { "emailPrincipalIds": [ "string" ], "emailRoles": [ "owner" ], "webhooks": true }, "organizationId": "string", "projectId": "string", "renotifyMinutes": 15, "state": "firing", "status": "active", "updatedAt": "2019-08-24T14:15:22Z", "version": 0 } ], "nextCursor": "string"}